<md-dialog flex="100" style="height: 100%;" aria-label="Comparison" zafira-background-theme="modal" class="modal-default styled-modal-fullscreen">
    <form class="form-validation styled-modal__form" name="compare_form" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Comparison</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content>
            <div class="md-dialog-content">
                <div class="col-md-12">
                    <article ng-if="! loading" class="article">
                        <div ng-if="allTestsIdentical" style="position: relative;">
                            <i style="color: #009688" class="material-icons">check</i>
                            <span style="position: absolute; top: 20%;">All tests are identical</span>
                        </div>
                        <md-checkbox ng-show="! allTestsIdentical" ng-model="hideIdentical" aria-label="Hide identical">
                            Hide identical
                        </md-checkbox>
                        <md-card class="no-margin-h">
                            <md-table-container>
                                <table md-table class="table table-bordered no-margin compare-table">
                                    <thead md-head>
                                    <tr md-row class="compare-table__row">
                                        <th class="crossed" md-column>
                                            <div class="row col-md-12">
                                                <div style="text-align: left;" class="col-md-6">
                                                    Tests
                                                </div>
                                                <div style="text-align: right" class="col-md-6">
                                                    Test runs
                                                </div>
                                            </div>
                                        </th>
                                        <th md-column data-ng-repeat="testRun in tr track by testRun.id">
                                            <div class="test__wrapper" style="display: flex;">
                                                <div class="test__platform-wrapper" style="display: flex; align-items: center; margin-right: 20px;">
                                                    <span ng-if="testRun.platformIcon" class="platform-icon {{::testRun.platformIcon}}"></span>
                                                    <span ng-if="testRun.platformVersion" style="color: #1f242a; margin-left: 5px;">{{::testRun.platformVersion}}</span>
                                                </div>
                                                <div class="test__data-wrapper" style="display: flex; flex-wrap: wrap;">
                                                    <a href ng-click="openTestRun(testRun.id)" style="line-height: 20px; margin-right: 5px;">{{ testRun.testSuite.name }}</a>
                                                    <span style="line-height: 20px;">{{  testRun.startedAt | date:'medium'}}</span>
                                                </div>
                                                <div>
                                                    <small>{{ testRun.config.appVersion }}</small>
                                                </div>
                                            </div>
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody md-body>
                                    <tr ng-hide="hideIdentical && test.identical.isIdentical && test.identical.count"
                                        class="compare-table__row"
                                        md-row
                                        ng-repeat="(key, test) in uniqueTests | orderObjectBy: 'name' track by key">
                                        <td class="compare-table__col">
                                            <div class="outside-row-element">
                                                <div ng-if="! test.identical.count">
                                                    <i style="color: #f0ad4e; font-size: 17px;" class="material-icons">error_outline</i>
                                                </div>
                                                <div ng-if="! test.identical.isIdentical">
                                                    <i style="color: #F44336; font-size: 17px;" class="material-icons">error</i>
                                                </div>
                                            </div>
                                            <b>
                                                {{ test.name }}
                                            </b>
                                        </td>
                                        <td class="compare-table__col result {{getTest(test, testRun).status}}"
                                            md-cell
                                            ng-repeat="(testRunId, testRun) in tr track by testRunId">
                                            <div ng-if="getTest(test, testRun)" class="compare-table__result">
                                                <span ng-if="getTest(test, testRun).finishTime && getTestDuration(test, testRun) > 0"
                                                    class="compare-table__time light_text">
                                                    <i class="compare-table__time-icon material-icons" aria-hidden="true">timer</i>
                                                    <duration class="compare-table__time-value"
                                                        name="testFinishTime"
                                                        duration-in-seconds="getTestDuration(test, testRun)">
                                                        {{minutes}}m {{seconds}}s
                                                    </duration>
                                                </span>
                                                <span name="device"
                                                    class="compare-table__device light_text"
                                                    ng-if="getTest(test, testRun).testConfig.device">
                                                    <i class="compare-table__device-icon material-icons" aria-hidden="true">phone_iphone</i>
                                                    <span class="compare-table__device-value">{{getTest(test, testRun).testConfig.device}}</span>
                                                </span>
                                            </div>
                                            <div class="compare-table__result result_error {{getTest(test, testRun).status}} {{main.theme}}"
                                                ng-if="getTest(test, testRun).message && (getTest(test, testRun).status == 'FAILED' || getTest(test, testRun).status == 'SKIPPED')">
                                                <div class="white-space-pre-line"><show-more name="errorMsg" element-id="getTest(test, testRun).id" text="getTest(test, testRun).message" limit="100" ></show-more></div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </md-table-container>
                        </md-card>
                    </article>
                    <div ng-if="loading" layout="row" layout-sm="column" layout-align="space-around">
                        <md-progress-circular md-mode="indeterminate"></md-progress-circular>
                    </div>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row">
        </md-dialog-actions>
    </form>
</md-dialog>
